local  Sorcerer = foundation.createMod();

-- Apply building asset processor
Sorcerer:registerAssetProcessor("models/sorcerer.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetProcessor("models/sorcerer2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetId("models/scrollBlack.png", "ICON_SCROLL_BLACK")
Sorcerer:registerAssetId("models/scrollWhite.png", "ICON_SCROLL_WHITE")
Sorcerer:registerAssetId("models/scrollCyan.png", "ICON_SCROLL_CYAN")
Sorcerer:registerAssetId("models/scrollMagenta.png", "ICON_SCROLL_MAGENTA")
Sorcerer:registerAssetId("models/scrollYellow.png", "ICON_SCROLL_YELLOW")
-- Register hats prefab nodes
Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/chapeauPointu", "SORCERER_CHAPEAU_POINTU_PREFAB")
Sorcerer:registerAssetId("models/sorcererWhite.fbx/Prefab/chapeauPointuWhite", "SORCERER_CHAPEAU_POINTU_WHITE_PREFAB")
Sorcerer:registerAssetId("models/sorcererCyan.fbx/Prefab/chapeauPointuCyan", "SORCERER_CHAPEAU_POINTU_CYAN_PREFAB")
Sorcerer:registerAssetId("models/sorcererMagenta.fbx/Prefab/chapeauPointuMagenta", "SORCERER_CHAPEAU_POINTU_MAGENTA_PREFAB")
Sorcerer:registerAssetId("models/sorcererYellow.fbx/Prefab/chapeauPointuYellow", "SORCERER_CHAPEAU_POINTU_YELLOW_PREFAB")
-- Particle system
Sorcerer:dofile("scripts/particle_system.lua")
Sorcerer:dofile("scripts/bat.lua")
-- Jobs
Sorcerer:dofile("scripts/jobs.lua")
-- Buildings
Sorcerer:dofile("scripts/sorcererHouse1.lua")
Sorcerer:dofile("monument.lua")
