local Sorcerer = ...

Sorcerer:registerAssetId("models/Bat.png", "BAT2_TEXTURE")

Sorcerer:register({
	DataType = "MATERIAL",
	Id = "BAT2_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = "BAT2_TEXTURE"
})

Sorcerer:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "BAT2_PARTICLE_SYSTEM",
	Material = "BAT2_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 4,
	Looping = true,
	Delay = 0,
	LifeTime = 12,
	StartSpeed = { 0.2, 0.33 },
	StartSize = { 10, 10 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 1,
	BurstList = {},
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_SPHERE",
		Radius = 0.0002,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT",
		ValueA = { 0.2, 0.2, 0.2 },
		ValueB = { 0.3, 0.3, 0.3 },
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0, 0, 0, 0} },
			{ T = 0.3, Color = { 0, 0, 0, 0} },
			{ T = 0.7, Color = { 0, 0, 0, 0} },
			{ T = 1, Color = { 0, 0, 0, 0 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.3, Alpha = 255 },
			{ T = 0.7, Alpha = 255 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
		{ T = 0, Value = 0.5 },
		{ T = 0.7, Value = 0.5 },
		{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { -45, 0 },
})